# Continuity Document
Version: 1.0 (2025-03-25)

## PURPOSE
This master document serves as a persistent record of project progress and current status, enabling seamless resumption of work across multiple sessions and different Claude instances.

## PROJECT METADATA
```
[PROJECT TITLE]:
[START DATE]:
[CURRENT PHASE]:
[TARGET COMPLETION DATE]:
[KEY STAKEHOLDERS]:
[PRIMARY OBJECTIVES]:
```

## CURRENT STATUS SUMMARY
Provide a concise overview of the current state of the project (50-75 words).
```
[CURRENT STATUS]:
```

## ACTIVE ARTIFACTS INVENTORY
List all artifacts currently in use with their latest versions.

| Artifact Name | Version | Last Updated | Description |
|---------------|---------|--------------|-------------|
| [Artifact 1]  | [v#.#]  | [YYYY-MM-DD] | [Brief description] |
| [Artifact 2]  | [v#.#]  | [YYYY-MM-DD] | [Brief description] |
| [Add more rows as needed] |

## CONVERSATION TIMELINE

### Session 1: [Date]
- Key accomplishments:
  - [Accomplishment 1]
  - [Accomplishment 2]
- Decisions made:
  - [Decision 1]
  - [Decision 2]
- Created artifacts:
  - [Artifact 1] (v1.0)
  - [Artifact 2] (v1.0)

### Session 2: [Date]
- Key accomplishments:
  - [Accomplishment 1]
  - [Accomplishment 2]
- Decisions made:
  - [Decision 1]
  - [Decision 2]
- Updated artifacts:
  - [Artifact 1] (v1.1): [Summary of changes]
  - [Artifact 3] (v1.0): [New artifact]

### [Add more sessions as needed]

## CURRENT FOCUS
```
[CURRENT TASK]:
[PROGRESS ON CURRENT TASK]:
[BLOCKING ISSUES]:
[NEXT IMMEDIATE ACTIONS]:
```

## DECISIONS LOG
Record all significant decisions with rationale.

| Date | Decision | Rationale | Alternatives Considered |
|------|----------|-----------|-------------------------|
| [YYYY-MM-DD] | [Decision summary] | [Brief rationale] | [Alternative approaches] |
| [Add more rows as needed] |

## ASSUMPTIONS REGISTER
Document all assumptions being made in the project.

| ID | Assumption | Impact if Invalid | Verification Method |
|----|------------|-------------------|---------------------|
| A1 | [Assumption description] | [Potential impact] | [How/when to verify] |
| [Add more rows as needed] |

## CONVERSATION CONTEXT PRESERVATION
Key information to maintain conversation continuity:
```
[RECENT DISCUSSION POINTS]:
[PENDING QUERIES]:
[UNRESOLVED QUESTIONS]:
[AGREED TERMINOLOGY]:
```

## NEXT STEPS
- [ ] [Next action 1]
- [ ] [Next action 2]
- [ ] [Next action 3]
- [ ] [Additional actions as needed]

## TRANSITION NOTES
Information specifically for Claude when resuming in a new session:
```
[CRITICAL CONTEXT]:
[SPECIALIZED ROLES/EXPERTISE NEEDED]:
[PREFERRED COMMUNICATION STYLE]:
[ADDITIONAL INSTRUCTIONS]:
```

## APPENDIX: SESSION RESUMPTION INSTRUCTIONS

To resume work on this project in a new session, please:

1. Share this continuity document with Claude
2. Use the prompt: "Document engineering chat - Please review this continuity document and help me resume our work exactly where we left off."
3. Confirm that Claude acknowledges the current status and next steps
4. Proceed with the next action items as outlined above

---
*Cross-reference with: Multi-Session Handoff, Chat Transition Protocol, Comprehensive Templates Index*