# Initial Prompt Engineering Session Template
Version: 1.0 (2025-03-25)

## PURPOSE
This template guides the initial session of document prompt engineering to systematically develop an effective prompt structure for any document type.

## PREPARATION CHECKLIST
- [ ] Document samples collected (minimum 3 recommended)
- [ ] Target outcome defined
- [ ] Stakeholder requirements documented
- [ ] Domain expertise identified/secured
- [ ] Technical constraints acknowledged

## SESSION STRUCTURE

### 1. DOCUMENT ANALYSIS
```
[DOCUMENT TYPE]: 
[PRIMARY PURPOSE]:
[TARGET AUDIENCE]:
[CRITICAL COMPONENTS]:
[DOMAIN-SPECIFIC TERMINOLOGY]:
[STRUCTURAL PATTERNS]:
[PAIN POINTS IN CURRENT PROCESS]:
```

### 2. PROMPT OBJECTIVES
```
[PRIMARY OBJECTIVE]:
[SECONDARY OBJECTIVES]:
[SUCCESS CRITERIA]:
[FAILURE MODES TO AVOID]:
```

### 3. PROMPT ARCHITECTURE

#### 3.1 Context Provision
```
[ESSENTIAL BACKGROUND]:
[DOMAIN KNOWLEDGE REQUIREMENTS]:
[REGULATORY/COMPLIANCE ELEMENTS]:
```

#### 3.2 Instruction Components
```
[CORE INSTRUCTIONS]:
[SUPPLEMENTARY GUIDELINES]:
[GUARDRAILS AND CONSTRAINTS]:
```

#### 3.3 Format Specification
```
[REQUIRED SECTIONS]:
[STRUCTURAL REQUIREMENTS]:
[STYLISTIC GUIDELINES]:
```

#### 3.4 Examples Block
```
[INPUT EXAMPLE 1]:
[EXPECTED OUTPUT 1]:

[INPUT EXAMPLE 2]:
[EXPECTED OUTPUT 2]:
```

### 4. QUESTION SEQUENCE FOR CLAUDE
Use the Exploratory Interview Guide artifact for structured questioning hierarchy. Document each question and answer from Claude.

```
Q1: [First high-level question]
A1: [Claude's response]

Q2: [Follow-up based on response]
A2: [Claude's response]

[CONTINUE SEQUENCE]
```

### 5. INITIAL PROMPT DRAFT
```
[FULL PROMPT TEXT]:
```

### 6. PRELIMINARY TESTING NOTES
```
[TEST SCENARIO 1]:
[OUTCOME]:
[OBSERVATIONS]:

[TEST SCENARIO 2]:
[OUTCOME]:
[OBSERVATIONS]:
```

### 7. NEXT STEPS
- [ ] Schedule prompt review session
- [ ] Identify subject matter experts for review
- [ ] Plan A/B testing methodology
- [ ] Update continuity document with session outcomes

## NOTES
- Use extended thinking mode for complex document analysis
- Maintain consistent terminology (reference Terminology Bank artifact)
- Document all assumptions made during the session
- Flag any areas requiring additional research

---
*Cross-reference with: Artifact Structure Guide, Exploratory Interview Guide, Terminology Bank*