# Prompt Review Session Template
Version: 1.0 (2025-03-25)

## PURPOSE
This template facilitates a structured review of prompts developed during the initial engineering session to refine and optimize their effectiveness.

## PREPARATION CHECKLIST
- [ ] Initial prompt draft ready for review
- [ ] Test results from initial implementation documented
- [ ] Review team assembled with appropriate expertise
- [ ] Success criteria clearly defined
- [ ] Previous session notes accessible

## SESSION STRUCTURE

### 1. PROMPT PERFORMANCE ASSESSMENT
```
[PROMPT UNDER REVIEW]:
[INITIAL SUCCESS CRITERIA]:
[PERFORMANCE METRICS]:
[AREAS MEETING EXPECTATIONS]:
[AREAS REQUIRING IMPROVEMENT]:
```

### 2. STRUCTURAL ANALYSIS

#### 2.1 Context Effectiveness
```
[SUFFICIENT BACKGROUND PROVIDED?]: Yes/No
[MISSING CONTEXT ELEMENTS]:
[SUPERFLUOUS CONTEXT ELEMENTS]:
[CLARITY OF DOMAIN KNOWLEDGE]:
```

#### 2.2 Instruction Clarity
```
[AMBIGUOUS INSTRUCTIONS IDENTIFIED]:
[CONFLICTING GUIDELINES IDENTIFIED]:
[INSTRUCTION HIERARCHY CLEAR?]: Yes/No
[GUARDRAIL EFFECTIVENESS]:
```

#### 2.3 Format Adherence
```
[FORMAT REQUIREMENTS MET?]: Yes/No
[STRUCTURAL INCONSISTENCIES]:
[STYLISTIC DEVIATIONS]:
[QUALITY OF OUTPUT STRUCTURE]:
```

#### 2.4 Example Utility
```
[EXAMPLES PROPERLY REFERENCED?]: Yes/No
[EXAMPLE DIVERSITY SUFFICIENT?]: Yes/No
[MISSING EXAMPLE SCENARIOS]:
```

### 3. CONTENT QUALITY EVALUATION
```
[FACTUAL ACCURACY]:
[COMPLETENESS OF CONTENT]:
[LOGICAL FLOW]:
[APPROPRIATE TONE]:
[TERMINOLOGY CONSISTENCY]:
```

### 4. OPTIMIZATION STRATEGIES

#### 4.1 Targeted Improvements
```
[SPECIFIC ELEMENT]:
[CURRENT STATE]:
[PROPOSED REVISION]:
[RATIONALE]:
```

#### 4.2 Experimental Variations
```
[VARIATION A]:
[VARIATION B]:
[COMPARISON METHODOLOGY]:
[SUCCESS INDICATORS]:
```

### 5. REVISED PROMPT
```
[UPDATED FULL PROMPT TEXT]:
```

### 6. VALIDATION TESTING
```
[TEST SCENARIO 1]:
[OUTCOME]:
[IMPROVEMENT FROM ORIGINAL?]: Yes/No/Partial

[TEST SCENARIO 2]:
[OUTCOME]:
[IMPROVEMENT FROM ORIGINAL?]: Yes/No/Partial
```

### 7. IMPLEMENTATION RECOMMENDATIONS
```
[GO/NO-GO DECISION]:
[RECOMMENDED DEPLOYMENT CONTEXT]:
[MONITORING REQUIREMENTS]:
[EXPECTED MAINTENANCE FREQUENCY]:
```

### 8. NEXT STEPS
- [ ] Finalize prompt documentation
- [ ] Schedule follow-up review if needed
- [ ] Plan implementation strategy
- [ ] Update continuity document with review outcomes

## NOTES
- Use validation checklist to prevent redundant testing
- Document all stakeholder feedback received
- Consider A/B testing for significant changes
- Flag edge cases for special handling

---
*Cross-reference with: Validation Checklist, Initial Prompt Engineering Session, Continuity Document*